<tr class="table-color2">
	<td class="text" colspan="2" valign="middle">
		Automatic upgrade of Administrative Console Skin failed. You can verify patching log errors below.
		<textarea cols="70" rows="10" readonly><?php
			$output = unserialize( $this->Application->RecallVar('SkinUpgradeLog') );

			foreach ($output as $version => $version_output) {
				$sub_header = 'Patching to ' . $version . ' version:';
				echo $sub_header . "\n" . str_repeat('=', strlen($sub_header)) . "\n";
				echo $version_output . "\n";
			}
		?></textarea>
	</td>
</tr>

<tr class="table-color2">
	<td colspan="2">
		<p class="error">
			You must manually merge skin, created during upgrade with your current
			primary skin to ensure, that Administrative Console interface isn't broken.
		</p>
		<br/>
	</td>
</tr>
